/* Shared styles for Modal components */

.modal {
    z-index: 1000;
}

.modal-header {
    background-color: initial;
}

.modal-content {
    border-radius: 0;
}

.modal-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.form-label {
    width: 180px;
}

textarea.form-control {
    height: 100px;
    resize: none;
}

.div-buttons * {
    width: 100px;
}

.config-features {
    gap: 10px;
}

.btn-secondary {
    color: var(--fms-blue);
    border-color: transparent;
}

.btn-primary:not(:disabled):not(.disabled):active {
    box-shadow: none;
}

.btn-primary.focus:not(.dropdown-toggle-split), .btn-primary:focus:not(.dropdown-toggle-split) {
    box-shadow: none;
}

.btn-secondary:not(:disabled):not(.disabled):active {
    box-shadow: none;
}

.btn-secondary.focus:not(.dropdown-toggle-split), .btn-secondary:focus:not(.dropdown-toggle-split) {
    color: var(--fms-blue);
    box-shadow: none;
}

.btn-focus-ring-red:focus {
    box-shadow: 0 0 0 2px #fff, 0 0 0 6px #C92031 !important;
    outline: none !important;
    background-color: #9D2A2A !important;
    color: white;
}

.btn-fms-button-red {
    padding: 8px 16px;
    font-size: 14px;
    border: none;
    border-radius: 4px;
    background-color: transparent;
}

    .btn-fms-button-red:disabled {
        color: #ced4da !important;
    }

    .btn-fms-button-red:hover:disabled {
        color: #ced4da !important;
        background-color: #595959 !important;
    }

    .btn-fms-button-red:hover {
        background-color: var(--fms-red) !important;
        color: white;
    }

:focus {
    outline: 2px solid var(--fms-darkblue) !important;
}

.btn-fms-dark-red {
    background-color: #9D2A2A;
    border: 1px solid #9D2A2A;
    border-radius: 4px;
    color: white;
}

.btn-fms-dark-red:hover {
    background-color: #9D2A2A;
    border: 1px solid #9D2A2A;
    border-radius: 4px;
    color: white;
}

.btn-secondary:not(:disabled):not(.disabled):active {
    background-color: white;
}

.btn-secondary:hover {
    background-color: #E2E9F6 !important;
    border-color: #E2E9F6 !important;
    color: var(--fms-blue);
}

.btn-secondary:hover:not(.dropdown-toggle-split) {
    color: var(--fms-blue);
}

.btn-secondary:not(:disabled):not(.disabled).active, .btn-secondary:not(:disabled):not(.disabled):active {
    color: var(--fms-blue);
}

.btn-secondary:not(:disabled):not(.disabled):active {
    background-color: #E2E9F6 !important;
}

.btn-secondary:focus:not(.dropdown-toggle-split) {
    color: var(--fms-blue);
}

.form-control.invalid {
    border-color: #c92031;
}

.fw-semibold {
    font-weight: 500 !important;
}

.form-control:disabled:not(select) {
    color: var(--color-gray-900) !important;
}

.form-control:disabled {
    color: var(--color-gray-900) !important;
}